Package org.apache.ignite.internal.util.distributed

## Enum DistributedProcess.DistributedProcessType

- java.lang.Object
- - java.lang.Enum<DistributedProcess.DistributedProcessType>
  - - org.apache.ignite.internal.util.distributed.DistributedProcess.DistributedProcessType

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributedProcess.DistributedProcessType>`

Enclosing class:
  DistributedProcess<I extends Serializable,​R extends Serializable>

    public static enum DistributedProcess.DistributedProcessType
    extends Enum<DistributedProcess.DistributedProcessType>

Defines distributed processes.

### Enum Constant Summary

Enum Constants
`CACHE_GROUP_KEY_CHANGE_FINISH` Cache group encyption key change perform phase.
`CACHE_GROUP_KEY_CHANGE_PREPARE` Cache group encyption key change prepare phase.
`END_SNAPSHOT` End snapshot procedure.
`MASTER_KEY_CHANGE_FINISH` Master key change finish process.
`MASTER_KEY_CHANGE_PREPARE` Master key change prepare process.
`PERFORMANCE_STATISTICS_ROTATE` Rotate performance statistics.
`RESTORE_CACHE_GROUP_SNAPSHOT_PRELOAD` Cache group restore preload phase.
`RESTORE_CACHE_GROUP_SNAPSHOT_PREPARE` Cache group restore prepare phase.
`RESTORE_CACHE_GROUP_SNAPSHOT_ROLLBACK` Cache group restore rollback phase.
`RESTORE_CACHE_GROUP_SNAPSHOT_START` Cache group restore cache start phase.
`RESTORE_CACHE_GROUP_SNAPSHOT_STOP` Cache group restore cache stop phase.
`RESTORE_INCREMENTAL_SNAPSHOT_START` Incremental snapshot restore start phase.
`START_SNAPSHOT` Start snapshot procedure.
`TEST_PROCESS` For test purposes only.

### Method Summary

All Methods Static Methods Concrete Methods
`static DistributedProcess.DistributedProcessType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DistributedProcess.DistributedProcessType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TEST_PROCESS

    public static final DistributedProcess.DistributedProcessType TEST_PROCESS

For test purposes only.

#### MASTER_KEY_CHANGE_PREPARE

    public static final DistributedProcess.DistributedProcessType MASTER_KEY_CHANGE_PREPARE

Master key change prepare process.

See Also:
  `GridEncryptionManager`

#### MASTER_KEY_CHANGE_FINISH

    public static final DistributedProcess.DistributedProcessType MASTER_KEY_CHANGE_FINISH

Master key change finish process.

See Also:
  `GridEncryptionManager`

#### START_SNAPSHOT

    public static final DistributedProcess.DistributedProcessType START_SNAPSHOT

Start snapshot procedure.

See Also:
  `IgniteSnapshotManager`

#### END_SNAPSHOT

    public static final DistributedProcess.DistributedProcessType END_SNAPSHOT

End snapshot procedure.

See Also:
  `IgniteSnapshotManager`

#### CACHE_GROUP_KEY_CHANGE_PREPARE

    public static final DistributedProcess.DistributedProcessType CACHE_GROUP_KEY_CHANGE_PREPARE

Cache group encyption key change prepare phase.

#### CACHE_GROUP_KEY_CHANGE_FINISH

    public static final DistributedProcess.DistributedProcessType CACHE_GROUP_KEY_CHANGE_FINISH

Cache group encyption key change perform phase.

#### PERFORMANCE_STATISTICS_ROTATE

    public static final DistributedProcess.DistributedProcessType PERFORMANCE_STATISTICS_ROTATE

Rotate performance statistics.

#### RESTORE_CACHE_GROUP_SNAPSHOT_PREPARE

    public static final DistributedProcess.DistributedProcessType RESTORE_CACHE_GROUP_SNAPSHOT_PREPARE

Cache group restore prepare phase.

#### RESTORE_CACHE_GROUP_SNAPSHOT_PRELOAD

    public static final DistributedProcess.DistributedProcessType RESTORE_CACHE_GROUP_SNAPSHOT_PRELOAD

Cache group restore preload phase.

#### RESTORE_CACHE_GROUP_SNAPSHOT_START

    public static final DistributedProcess.DistributedProcessType RESTORE_CACHE_GROUP_SNAPSHOT_START

Cache group restore cache start phase.

#### RESTORE_CACHE_GROUP_SNAPSHOT_STOP

    public static final DistributedProcess.DistributedProcessType RESTORE_CACHE_GROUP_SNAPSHOT_STOP

Cache group restore cache stop phase.

#### RESTORE_CACHE_GROUP_SNAPSHOT_ROLLBACK

    public static final DistributedProcess.DistributedProcessType RESTORE_CACHE_GROUP_SNAPSHOT_ROLLBACK

Cache group restore rollback phase.

#### RESTORE_INCREMENTAL_SNAPSHOT_START

    public static final DistributedProcess.DistributedProcessType RESTORE_INCREMENTAL_SNAPSHOT_START

Incremental snapshot restore start phase.

### Method Detail

#### values

    public static DistributedProcess.DistributedProcessType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DistributedProcess.DistributedProcessType c : DistributedProcess.DistributedProcessType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DistributedProcess.DistributedProcessType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null